Bug 814209 - Copyright date comprises an extra "dash"(-).
Copyright date comprises an extra "dash"(-).
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.8
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: 813813 space18
  Show dependency treegraph
 
Reported: 2012-04-19 07:37 EDT by Miroslav Suchý
Modified: 2012-11-01 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 813813
Environment:
Last Closed: 2012-11-01 12:20:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-04-19 07:37:30 EDT
+++ This bug was initially created as a clone of Bug #813813 +++

Description of problem:

Copyright date comprises an extra "dash"(-).

Copyright © 2002--12 Red Hat, Inc. All rights reserved. Privacy statement : Legal statement : redhat.com

Steps to Reproduce:
1. Login to Satellite
2. Look at the bottom of the initial web page.
  
Actual results:
Copyright © 2002--12 Red Hat, Inc. All rights reserved. Privacy statement : Legal statement : redhat.com


Expected results:
Copyright © 2002-12 Red Hat, Inc. All rights reserved. Privacy statement : Legal statement : redhat.com

--- Additional comment from msuchy@redhat.com on 2012-04-19 07:35:40 EDT ---

I consulted it with documentation team and:

The <YEAR> is supposed to be the "year of first publication". If this is some new code, use the current year. If you are modifying some existing Red Hat-copyrighted code, it is sufficient to use the current year. However, if you've only made a trivial modification, keep the existing year. 

So there should be just:
 Copyright © 2012 Red Hat, Inc. All rights reserved....
Comment 1 Miroslav Suchý 2012-05-22 09:45:58 EDT
Fixed in spacewalk per https://bugzilla.redhat.com/show_bug.cgi?id=813813#c2
Comment 2 Jan Pazdziora 2012-10-30 15:24:48 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:20:14 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.